Critical Security update in FileZilla 2.2.23

FileZilla 2.2.23 fixes a critical security vulnerability. Due to a buffer overflow remote code execution might have been possible if connecting to malicious servers.
An update to FileZilla 2.2.23 is highly recommended.

You can download the updated version from

Posted by Tim Kosse 2006-05-14